websocket-sharp : WebSocketSharp.Net Namespace

# HttpListenerRequest Class

Documentation for this section has not yet been entered.

## Syntax

public sealed class HttpListenerRequest

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from object.

## Public Properties

[read-only] | AcceptTypes | string[]. Documentation for this section has not yet been entered.
[read-only] | ClientCertificateError | int . Documentation for this section has not yet been entered.
[read-only] | ContentEncoding | System.Text.Encoding . Documentation for this section has not yet been entered.
[read-only] | ContentLength64 | long . Documentation for this section has not yet been entered.
[read-only] | ContentType | string . Documentation for this section has not yet been entered.
[read-only] | Cookies | CookieCollection . Documentation for this section has not yet been entered.
[read-only] | HasEntityBody | bool . Documentation for this section has not yet been entered.
[read-only] | Headers | System.Collections.Specialized.NameValueCollection . Documentation for this section has not yet been entered.
[read-only] | HttpMethod | string . Documentation for this section has not yet been entered.
[read-only] | InputStream | System.IO.Stream . Documentation for this section has not yet been entered.
[read-only] | IsAuthenticated | bool . Documentation for this section has not yet been entered.
[read-only] | IsLocal | bool . Documentation for this section has not yet been entered.
[read-only] | IsSecureConnection | bool . Documentation for this section has not yet been entered.
[read-only] | IsWebSocketRequest | bool . Documentation for this section has not yet been entered.
[read-only] | KeepAlive | bool . Documentation for this section has not yet been entered.
[read-only] | LocalEndPoint | System.Net.IPEndPoint . Documentation for this section has not yet been entered.
[read-only] | ProtocolVersion | Version . Documentation for this section has not yet been entered.
[read-only] | QueryString | System.Collections.Specialized.NameValueCollection . Documentation for this section has not yet been entered.
[read-only] | RawUrl | string . Documentation for this section has not yet been entered.
[read-only] | RemoteEndPoint | System.Net.IPEndPoint . Documentation for this section has not yet been entered.
[read-only] | RequestTraceIdentifier | Guid . Documentation for this section has not yet been entered.
[read-only] | Url | Uri . Documentation for this section has not yet been entered.
[read-only] | UrlReferrer | Uri . Documentation for this section has not yet been entered.
[read-only] | UserAgent | string . Documentation for this section has not yet been entered.
[read-only] | UserHostAddress | string . Documentation for this section has not yet been entered.
[read-only] | UserHostName | string . Documentation for this section has not yet been entered.
[read-only] | UserLanguages | string[]. Documentation for this section has not yet been entered.

## Public Methods

| BeginGetClientCertificate (AsyncCallback, object) : IAsyncResult Documentation for this section has not yet been entered.
| EndGetClientCertificate (IAsyncResult) : System.Security.Cryptography.X509Certificates.X509Certificate2 Documentation for this section has not yet been entered.
| GetClientCertificate () : System.Security.Cryptography.X509Certificates.X509Certificate2 Documentation for this section has not yet been entered.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### AcceptTypes Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string[] AcceptTypes { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### BeginGetClientCertificate Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public IAsyncResult BeginGetClientCertificate (AsyncCallback requestCallback, object state)

> #### Parameters

> > requestCallback
> >   Documentation for this section has not yet been entered.
> > state
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ClientCertificateError Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int ClientCertificateError { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ContentEncoding Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Text.Encoding ContentEncoding { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ContentLength64 Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public long ContentLength64 { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ContentType Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string ContentType { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Cookies Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public CookieCollection Cookies { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### EndGetClientCertificate Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Security.Cryptography.X509Certificates.X509Certificate2 EndGetClientCertificate (IAsyncResult asyncResult)

> #### Parameters

> > asyncResult
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetClientCertificate Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Security.Cryptography.X509Certificates.X509Certificate2 GetClientCertificate ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### HasEntityBody Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool HasEntityBody { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Headers Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Collections.Specialized.NameValueCollection Headers { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### HttpMethod Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string HttpMethod { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### InputStream Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.IO.Stream InputStream { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsAuthenticated Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsAuthenticated { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsLocal Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsLocal { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsSecureConnection Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsSecureConnection { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsWebSocketRequest Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsWebSocketRequest { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### KeepAlive Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool KeepAlive { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### LocalEndPoint Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Net.IPEndPoint LocalEndPoint { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ProtocolVersion Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Version ProtocolVersion { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### QueryString Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Collections.Specialized.NameValueCollection QueryString { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### RawUrl Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string RawUrl { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### RemoteEndPoint Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Net.IPEndPoint RemoteEndPoint { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### RequestTraceIdentifier Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Guid RequestTraceIdentifier { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Url Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Uri Url { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### UrlReferrer Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Uri UrlReferrer { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### UserAgent Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string UserAgent { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### UserHostAddress Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string UserHostAddress { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### UserHostName Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string UserHostName { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### UserLanguages Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string[] UserLanguages { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)